rebuild(1)

NAME
rebuild - Build tool for D

SYNOPSIS
rebuild files.d { -switch }

DESCRIPTION

files.d
    D source files

-rf<filename>
    Use specified response file

-dc=<compiler>
    use the specified compiler configuration

-p  do not compile (or link)

-c  do not link

-lib
    link a static library

-libs-safe
    exit failure or success for whether libraries can be safely be used with any D code

-shlib
    link a shared library

-shlib-support
    exit failure or success for whether shared libraries are supported

-dylib
    link a dynamic library (a library intended to be loaded at runtime)

-dylib-support
    exit failure or success for whether dynamic libraries are supported

-g  add symbolic debug info

-gc add symbolic debug info, pretend to be C

-files
    list files which would be compiled (but don't compile)

-objfiles
    list object files generated

-full
    compile all source files, regardless of their age

-explicit
    only compile files explicitly named, not dependencies

--help
    print help

-Ipath
    where to look for imports

-Ccompileflag
    pass compileflag to compilation

-Llinkerflag
    pass linkerflag to the linker at link time

-Klinkerflag
    pass linkerflag to the compiler at link time

-ll<lib>
    link in the specified library

    Windows:
        Link to <lib>.lib

    Posix:
        Link to lib<lib>.{a,so}

-Spath
    search path for libraries

-O  optimize

-oqobjdir
    write object files to directory objdir with fully-qualified module names

-odobjdir
    write object files to directory objdir

-offilename
    name output file to filename

-quiet
    suppress unnecessary messages

-release
    compile release version

-exec
    run resulting program

-v  verbose

-n  just list the commands to be run, don't run them

-version=level
    compile in version code >= level

-version=ident
    compile in version code identified by ident

-debug
    compile in debug code

-debug=level
    compile in debug code <= level

-debug=ident
    compile in debug code identified by ident

-clean
    remove object files after done building

-circular
    allow circular dependencies to work on some compilers (namely GDC)

-testversion=<version>
    exit failure or success for whether the specified version is defined

-reflect
    use drefgen to make rodin-compatible reflections of all included modules

-candydoc
    generate the modules.ddoc file for candydoc (must specify -Dd, implies -explicit) All other flags are passed to the compiler.

AUTHOR
written by Walter Bright and Gregor Richards

COPYRIGHT
Copyright (c) 1999-2007 by Digital Mars and Gregor Richards